
From: Paul Mackerras <paulus@samba.org>

This patch is originally from Linas Vepstas <linas@linas.org>.

This is a dumb, dorky cleanup patch: Per last round of emails, the concept of
EEH_REGION is gone, but a few stubs remained.  This patch removes them.

Signed-off-by: Linas Vepstas <linas@linas.org>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/mm/hash_utils.c |    6 ------
 25-akpm/arch/ppc64/mm/slb.c        |    9 +++------
 25-akpm/include/asm-ppc64/page.h   |    2 --
 3 files changed, 3 insertions(+), 14 deletions(-)

diff -puN arch/ppc64/mm/hash_utils.c~ppc64-trivial-cleanup-eeh_region arch/ppc64/mm/hash_utils.c
--- 25/arch/ppc64/mm/hash_utils.c~ppc64-trivial-cleanup-eeh_region	2005-01-23 00:51:28.114402200 -0800
+++ 25-akpm/arch/ppc64/mm/hash_utils.c	2005-01-23 00:51:28.120401288 -0800
@@ -294,12 +294,6 @@ int hash_page(unsigned long ea, unsigned
 		vsid = get_kernel_vsid(ea);
 		break;
 #if 0
-	case EEH_REGION_ID:
-		/*
-		 * Should only be hit if there is an access to MMIO space
-		 * which is protected by EEH.
-		 * Send the problem up to do_page_fault 
-		 */
 	case KERNEL_REGION_ID:
 		/*
 		 * Should never get here - entire 0xC0... region is bolted.
diff -puN arch/ppc64/mm/slb.c~ppc64-trivial-cleanup-eeh_region arch/ppc64/mm/slb.c
--- 25/arch/ppc64/mm/slb.c~ppc64-trivial-cleanup-eeh_region	2005-01-23 00:51:28.115402048 -0800
+++ 25-akpm/arch/ppc64/mm/slb.c	2005-01-23 00:51:28.121401136 -0800
@@ -78,7 +78,7 @@ static void slb_flush_and_rebolt(void)
 void switch_slb(struct task_struct *tsk, struct mm_struct *mm)
 {
 	unsigned long offset = get_paca()->slb_cache_ptr;
-	unsigned long esid_data;
+	unsigned long esid_data = 0;
 	unsigned long pc = KSTK_EIP(tsk);
 	unsigned long stack = KSTK_ESP(tsk);
 	unsigned long unmapped_base;
@@ -97,11 +97,8 @@ void switch_slb(struct task_struct *tsk,
 	}
 
 	/* Workaround POWER5 < DD2.1 issue */
-	if (offset == 1 || offset > SLB_CACHE_ENTRIES) {
-		/* flush segment in EEH region, we shouldn't ever
-		 * access addresses in this region. */
-		asm volatile("slbie %0" : : "r"(EEHREGIONBASE));
-	}
+	if (offset == 1 || offset > SLB_CACHE_ENTRIES)
+		asm volatile("slbie %0" : : "r" (esid_data));
 
 	get_paca()->slb_cache_ptr = 0;
 	get_paca()->context = mm->context;
diff -puN include/asm-ppc64/page.h~ppc64-trivial-cleanup-eeh_region include/asm-ppc64/page.h
--- 25/include/asm-ppc64/page.h~ppc64-trivial-cleanup-eeh_region	2005-01-23 00:51:28.117401744 -0800
+++ 25-akpm/include/asm-ppc64/page.h	2005-01-23 00:51:28.121401136 -0800
@@ -205,10 +205,8 @@ extern u64 ppc64_pft_size;		/* Log 2 of 
 #define KERNELBASE      PAGE_OFFSET
 #define VMALLOCBASE     ASM_CONST(0xD000000000000000)
 #define IOREGIONBASE    ASM_CONST(0xE000000000000000)
-#define EEHREGIONBASE   ASM_CONST(0xA000000000000000)
 
 #define IO_REGION_ID       (IOREGIONBASE>>REGION_SHIFT)
-#define EEH_REGION_ID      (EEHREGIONBASE>>REGION_SHIFT)
 #define VMALLOC_REGION_ID  (VMALLOCBASE>>REGION_SHIFT)
 #define KERNEL_REGION_ID   (KERNELBASE>>REGION_SHIFT)
 #define USER_REGION_ID     (0UL)
_
